[song]
name = Venus
artist = Shocking Blue
album = At Home
genre = Rock
year = 1969
diff_guitar = 3
preview_start_time = 36070
icon = csc
album_track = 4
charter = Caret
modchart = 0
song_length = 189524
loading_phrase = <i>Venus</i> has been covered dozens of different artists. The most famous cover being Bananarama's 1986 version, with the single reaching number one in six countries.

